Siduction Forum

Siduction Forum => Upgrade Warnings (DE / EN) => Topic started by: der_bud on 2013/09/23, 09:36:19

Title: [solved] Beware of xserver-xorg being removed today
Post by: der_bud on 2013/09/23, 09:36:19
(Edit: reading the posts from Sep 28 and my own experience I mark this as solved now)

Due to ungoing transition as of http://release.debian.org/transitions/ :
Code: [Select]
Reading package lists...
Building dependency tree...
Reading state information...
The following packages will be REMOVED:
  xserver-xorg xserver-xorg-input-all xserver-xorg-input-evdev
  xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-video-ati xserver-xorg-video-fbdev
  xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga
  xserver-xorg-video-qxl xserver-xorg-video-r128 xserver-xorg-video-radeon
  xserver-xorg-video-vesa xserver-xorg-video-vmware
The following NEW packages will be installed:
  dtv-scan-tables
The following packages will be upgraded:
  acpid apt apt-utils at-spi2-core console-setup console-setup-linux davfs2
  debhelper dh-python dvb-apps fakeroot gparted grub-common grub-pc
  grub-pc-bin grub2-common hpijs-ppds hplip hplip-data init-system-helpers
  initramfs-tools keyboard-configuration libapt-inst1.5 libapt-pkg4.12
  libatk-bridge2.0-0 libatspi2.0-0 libcairo-gobject2 libcairo2
  libconvert-binhex-perl libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libdrm2
  libgail18 libgee-0.8-2 libglu1-mesa libgmime-2.6-0 libgoa-1.0-0
  libgoa-1.0-common libgtk2.0-0 libgtk2.0-common libgudev-1.0-0 libhpmud0
  liblapack3 libnuma1 libpam-systemd libpython2.7 libpython2.7-minimal
  libpython2.7-stdlib libsane-hpaio libsdl1.2debian libsystemd-daemon0
  libsystemd-journal0 libsystemd-login0 libtbb2 libtext-template-perl libudev1
  linux-headers-3.11-1.towo-siduction-686 linux-headers-siduction-686
  linux-image-3.11-1.towo-siduction-686 linux-image-siduction-686 localepurge
  mc mc-data printer-driver-hpcups printer-driver-hpijs python2.7
  python2.7-minimal squashfs-tools systemd tar udev usb-modeswitch
  usb-modeswitch-data vim vim-common vim-runtime xserver-common
  xserver-xorg-core
79 upgraded, 1 newly installed, 16 to remove and 0 not upgraded.
xserver-xorg not reinstallable after that, xorg-input-abi-16 problem. Beware and wait.
Title: RE: Beware of xserver-xorg being removed today
Post by: timc on 2013/09/23, 14:02:30
Thanks, der_bud. My problems are similar, but different:

Code: [Select]

The following packages will be REMOVED:
  xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-qxl xserver-xorg-video-r128
The following NEW packages will be installed:
    dtv-scan-tables
The following packages will be upgraded:
    dvb-apps initramfs-tools libc-bin libc-dev-bin libc6 libc6-dev libtracker-sparql-0.16-0 locales multiarch-support tar xserver-common xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-nouveau xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware
23 upgraded, 1 newly installed, 4 to remove and 0 not upgraded.


I am fairly certain my system requires xserver-xorg-video-ati, so I aborted. Maybe later.

Tim
Title: RE: Beware of xserver-xorg being removed today
Post by: absolut on 2013/09/23, 14:12:37
this seems not to be an issue for me (64bit)... only xserver-xorg-video-fbdev is marked to be removed.
Title: RE: Beware of xserver-xorg being removed today
Post by: piper on 2013/09/23, 14:18:43
64bit here
Code: [Select]
The following packages will be REMOVED:
  xserver-xorg-video-fbdev xserver-xorg-video-qxl xserver-xorg-video-r128
The following NEW packages will be installed:
  dtv-scan-tables
The following packages will be upgraded:
  at-spi2-core debhelper dvb-apps gparted initramfs-tools libatspi2.0-0 libc-bin libc-dev-bin libc6 libc6:i386 libc6-dev libc6-dev-i386 libc6-dev-x32
  libc6-i386 libc6-i686:i386 libc6-x32 libconvert-binhex-perl libgail18 libgtk2.0-0 libgtk2.0-common liblapack3 libpthread-stubs0-dev libsoundtouch0
  lintian locales multiarch-support tar xserver-common xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-video-vesa xserver-xorg-video-vmware
35 upgraded, 1 newly installed, 3 to remove and 0 not upgraded.
Title: Re: RE: Beware of xserver-xorg being removed today
Post by: piper on 2013/09/23, 14:22:29
Quote from: "absolut"
this seems not to be an issue for me (64bit)... only xserver-xorg-video-fbdev is marked to be removed.


Do you have the default xserver-xorg-input-all installed, or did you remove that and install just what you needed from xorg (usually what I do, but right now .. lazy)
Title: RE: Re: RE: Beware of xserver-xorg being removed today
Post by: absolut on 2013/09/23, 14:31:38
piper, you are right: xserver-xorg-input-all is not installed on my system, cause i only need radeon (and vesa as fallback)

Code: [Select]
dpkg -l | awk '/xserver/ {print $2}'
x11-xserver-utils
xserver-common
xserver-xorg
xserver-xorg-core
xserver-xorg-input-all
xserver-xorg-input-evdev
xserver-xorg-input-mouse
xserver-xorg-input-synaptics
xserver-xorg-input-vmmouse
xserver-xorg-input-wacom
xserver-xorg-video-fbdev
xserver-xorg-video-radeon
xserver-xorg-video-vesa
Title: RE: Re: RE: Beware of xserver-xorg being removed today
Post by: dibl on 2013/09/23, 16:48:52
Good information -- thanks piper.  With xserver-xorg-input-all installed, I had the problem as written by der_bud.  I remove-purged it, and now there is only a removal of xserver-xorg-video-fbdev.  I went ahead with the d-u.  On this system with proprietary nvidia driver, I think I do need the xserver-xorg-video-fbdev package for the tty console to display in higher resolution than 640x480, but I don't need to reboot any time soon so it will be OK for awhile.
Title: RE: Re: RE: Beware of xserver-xorg being removed today
Post by: seasons on 2013/09/23, 21:54:13
@dibl: fbdev may have moved from xserver-xorg-video-fbdev package to xserver-xfbdev.
Title: RE: Re: RE: Beware of xserver-xorg being removed today
Post by: elveres on 2013/09/24, 14:02:27
Abhängigkeitsproblem/ati-wrapper nicht installierbar:

xserver-xorg-video-ati : Hängt ab von: xserver-xorg-video-r128 soll aber nicht installiert werden
xserver-xorg-video-r128 : Hängt ab von: xorg-video-abi-12 ist aber nicht installierbar
Title: Re: RE: Re: RE: Beware of xserver-xorg being removed today
Post by: dibl on 2013/09/24, 14:56:23
Quote from: "seasons"
@dibl: fbdev may have moved from xserver-xorg-video-fbdev package to xserver-xfbdev.


Thank you.  A reboot this morning indicates no issues of any kind -- everything is working well, including the tty consoles.
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: absolut on 2013/09/24, 16:26:07
i finally got bitten in the ass, by this transition. actually, it was not the transition itself, but my great idea of removing the "not required" xserver-xorg-video-* libraries some time ago.

don't ask me, why, but i have removed xserver-xorg-video-ati and other dependencies back then. everything was fine until i have dist-upgraded and rebooted...
the result: because of the missing wrapper (xserver-xorg-video-ati was gone), the DPMS of the monitors were not handled correctly and i have lost my dual-screen setup on the desktop at work! (or maybe something similar was the issue)

to cut the story short: i have downgraded to xorg from stable for now, and hope that the transition will finish soon.
Title: [solved] Beware of xserver-xorg being removed today
Post by: seasons on 2013/09/25, 02:53:36
You may be hitting this "bug": http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=655693

I think part of the problem is that video-ati package depends on video-r128 package, but it doesn't build with the newer X because X stripped out XAA: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=724331

EDIT: It looks like there is a fixed version of the video-r128 package in the sidcution repo, so you should now be able to install video-ati package without issue (at least I can).
Title: Re: RE: Re: RE: Beware of xserver-xorg being removed today
Post by: elveres on 2013/09/25, 09:48:09
Quote from: "elveres"
Abhängigkeitsproblem/ati-wrapper nicht installierbar:

xserver-xorg-video-ati : Hängt ab von: xserver-xorg-video-r128 soll aber nicht installiert werden
xserver-xorg-video-r128 : Hängt ab von: xorg-video-abi-12 ist aber nicht installierbar


@ working
installed xserver-xorg-video-ati from siduction-repo: kms working again!
could delete my extra generated x-org.config....
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: Santa on 2013/09/25, 18:29:06
It should be fixed now, please let us know if you still have problems.
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: drgg on 2013/09/25, 23:47:07
I still have the folling issue:


Quote
Die folgenden Pakete werden ENTFERNT:
  fglrx-legacy-control fglrx-legacy-driver
Die folgenden Pakete werden aktualisiert (Upgrade):
  xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-video-ati
  xserver-xorg-video-fbdev xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-mga xserver-xorg-video-nouveau xserver-xorg-video-qxl
  xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-vesa
  xserver-xorg-video-vmware
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: seasons on 2013/09/26, 02:43:53
fglrx-legacy driver is not going to work with Xserver >= 1.13

Your options:
1) Hold back xserver indefinitely (but who knows how long that will work)..
2) Find a more stable distro
3) Use the open-source driver
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: Santa on 2013/09/26, 15:41:45
Hello,

I have just fixed the fglrx-driver but not the -legacy for now, I will dig into the matter if I have some time.
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: seasons on 2013/09/27, 00:41:22
I wouldn't bother. There are no patches floating around to make fglrx-legacy run on xserver >= 1.13
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: absolut on 2013/09/27, 15:40:12
i'd like to just report that with the fixed packages everything is solved for me, too. thanks a lot for your great support. :)
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: aaditya on 2013/09/28, 21:24:45
Updated without problems here (Debian Sid), (Siduction in VM) :)
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: Crust on 2013/10/01, 03:00:57
All my xserver packages are labeled as being on hold.

Is this normal?

# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-vmmouse
  xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-ati
  xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128 xserver-xorg-video-intel
  xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic xserver-xorg-video-nouveau
  xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-rendition
  xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion
  xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-tseng
  xserver-xorg-video-vesa xserver-xorg-video-vmware xserver-xorg-video-voodoo
0 upgraded, 0 newly installed, 0 to remove and 35 not upgraded.
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: piper on 2013/10/01, 06:28:59
hmm, doesn't look right to me ..

For me a du gives ..
Code: [Select]
The following packages will be upgraded:
  apt-show-versions info install-info libdatetime-timezone-perl libemail-valid-perl libenca0 libgd3 x11-common xserver-xorg xserver-xorg-input-all
  xserver-xorg-video-vmware xutils
12 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,553 kB of archives.
After this operation, 3,072 B disk space will be freed.
Do you want to continue? [Y/n]

What does
Code: [Select]
apt-mark showhold say ?

What I don't see listed in your list is
Code: [Select]
xserver-xorg-input-all

To keep an eye on things

http://release.debian.org/transitions/html/xserver1.14.html

and

http://release.debian.org/transitions/
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: Crust on 2013/10/01, 22:50:02
Code: [Select]

# apt-mark showhold


has no output - I do not have any packages on hold.

Code: [Select]

# apt-cache policy xserver-xorg-input-all
xserver-xorg-input-all:
  Installed: 1:7.7+4
  Candidate: 1:7.7+4
  Version table:
 *** 1:7.7+4 0
        500 http://ftp.us.debian.org/debian/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     1:7.7+3~deb7u1 0
        500 http://ftp.us.debian.org/debian/ wheezy/main amd64 Packages


It shows that xserver-xorg-input-all  is already updated.
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: Crust on 2013/10/02, 09:19:15
I installed  xserver-org-video-all and everything updated.  I'm not sure why it's needed to d-u.
Title: RE: Re: RE: Re: RE: Beware of xserver-xorg being removed tod
Post by: ralul on 2013/10/02, 11:26:52
aptitude "shift-C" on the package would show you video-all lost support of many very old drivers. I don't need all the "all" packages, also from input-all I don't need mouse and synaptics. No problems here just having:
xorg
xorg-docs-core
xserver-common
xserver-xorg
xserver-xorg-core
xserver-xorg-input-evdev
xserver-xorg-video-nvidia-325.15-3
Title: [solved] Beware of xserver-xorg being removed today
Post by: harley-peter on 2013/10/03, 20:55:53
I use a desktop computer with an Nvidia card and a laptop with ATI Radeon grafik. I updated the desktop machine without any problem but the laptop hold back many packages:
Code: [Select]
Die folgenden Pakete sind zurückgehalten worden:
  libfm-data xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-video-apm xserver-xorg-video-ark
  xserver-xorg-video-ati xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-fbdev
  xserver-xorg-video-i128 xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga
  xserver-xorg-video-neomagic xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-rendition
  xserver-xorg-video-s3 xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-sisusb xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-vesa
  xserver-xorg-video-vmware xserver-xorg-video-voodoo
Title: [solved] Beware of xserver-xorg being removed today
Post by: timc on 2013/10/03, 21:57:31
harley-peter, I am all up to date with my ati card, but right now it looks like there is a "collision" with udev.

http://release.debian.org/transitions/html/xserver1.14.html

Tim